/*
 * Copyright 2014 Cloud Linux Zug GmbH
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 *
 * The part the support library for lsapi & proxy_lsapi Apache modules
 * author Alexander Demeshko <ademeshko@cloudlinux.com>
 *
 */

#ifndef _LVE_H
#define _LVE_H

#include <sys/types.h>
#include <pwd.h>

/*
 0  - in the case of LVE absense
 -1 - on error
 1  - on success
*/
int dl_init_lve(void);

int dl_enter_lve(pid_t uid);
int dl_jail_lve(struct passwd *pw);
int dl_exit_lve(void);
int dl_destroy_lve(void);


void dl_clean_all_lve(void);

#endif // _LVE_H
